#!/bin/bash
#
# $Id$

export BHTXT="$1"
if [ -z "$BHTXT" ] ; then
  BHTXT="debian/buildhost.txt"
fi
echo "Collecting buildhost infos in ${BHTXT}"

test -d $(dirname ${BHTXT}) || exit 1

echo -n "Hostname: " >${BHTXT}
cat /etc/hostname >>${BHTXT}

echo "User: ${USER}" >>${BHTXT}

echo -n "Date: " >>${BHTXT}
LANG="C" date >>${BHTXT}
echo ""  >>${BHTXT}

if [ -d .svn -a -x /usr/bin/svn ] ; then
  echo "svn info:" >>${BHTXT}
  LANG="C" svn info >>${BHTXT}
  #echo ""  >>${BHTXT}
fi

echo "dpkg -l:" >>${BHTXT}
LANG="C" dpkg -l >>${BHTXT}

rm -f ${BHTXT}.gz

gzip ${BHTXT}

